import request from '@/utils/request'

// 查询工位工单排程列表
export function listOrder(query) {
  return request({
    url: '/aps_workstation_work_order/order/list',
    method: 'get',
    params: query
  })
}

// 查询工位工单排程详细
export function getOrder(id) {
  return request({
    url: '/aps_workstation_work_order/order/' + id,
    method: 'get'
  })
}

// 新增工位工单排程
export function addOrder(data) {
  return request({
    url: '/aps_workstation_work_order/order',
    method: 'post',
    data: data
  })
}

// 修改工位工单排程
export function updateOrder(data) {
  return request({
    url: '/aps_workstation_work_order/order',
    method: 'put',
    data: data
  })
}

// 删除工位工单排程
export function delOrder(id) {
  return request({
    url: '/aps_workstation_work_order/order/' + id,
    method: 'delete'
  })
}
